/*
 * JBoss, Home of Professional Open Source
 *
 * Copyright 2013 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.picketlink.social.standalone.oauth;

/**
 * Constants defined by the OAuth spec
 *
 * @author Marcel Kolsteren
 * @since Sep 26, 2010
 */
public class OAuthConstants {
    public static final String CODE_PARAMETER = "code";

    public static final String CLIENT_ID_PARAMETER = "client_id";

    public static final String CLIENT_SECRET_PARAMETER = "client_secret";

    public static final String SCOPE_PARAMETER = "scope";

    public static final String REDIRECT_URI_PARAMETER = "redirect_uri";

    public static final String ACCESS_TOKEN_PARAMETER = "access_token";

    public static final String ERROR_PARAMETER = "error";

    public static final String ERROR_ACCESS_DENIED = "access_denied";

    public static final String STATE_PARAMETER = "state";

}
